<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>Flamingo</title>
    <link href="css.css" rel="stylesheet" type="text/css">
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/JavaScript">

        $(document).ready(function () {
            getWelcomePageInfo();

        })
        window.onload = function(){
        }

        function getWelcomePageInfo() 
		{

            $.ajax({
                type: "get",
                url : "/cgi-bin/welcome.cgi",
                //cache:false
                beforeSend: function(){
                    //提交的数据前做一些操作
                    //alert("this is before send");
                    //alert("beforSend!");
                },
                success: function(data) 
				{
                    var WPTab1    = document.getElementById("WelComInfoTab1");
                    var itemlist  = data.split("$");
                    WPTab1.rows[1].cells[1].innerHTML = itemlist[1];//model
                    WPTab1.rows[2].cells[1].innerHTML = itemlist[0];//description
                    WPTab1.rows[3].cells[1].innerHTML = itemlist[2];//serial
                    //WPTab1.rows[7].cells[1].innerHTML = itemlist[7].trim()+".local"; //host name
					WPTab1.rows[7].cells[1].innerHTML = itemlist[7]+".local"; //host name
                    WPTab1.rows[8].cells[1].innerHTML = itemlist[4];//version
					WPTab1.rows[9].cells[1].innerHTML = itemlist[5];//IP
					WPTab1.rows[10].cells[1].innerHTML = itemlist[3];//MAC
					WPTab1.rows[11].cells[1].innerHTML = "TCPIP::"+itemlist[5]+"::INSTR";
					WPTab1.rows[13].cells[1].innerHTML = itemlist[6]+"::" + itemlist[2] + "::INSTR";
                },                
            });
		}
		function Identification() 
		{
	        $.ajax({
	            type: "get",
	            url : "/cgi-bin/identify.cgi",
	            beforeSend: function(){
	                //提交的数据前做一些操作
	                //alert("this is before send");
	                //alert("beforSend!");
	            },
	            success: function(data) 
				{
	            },                
	        });
	    }
        
    </script>

</head>

<body>



<div class="content">
    <div class="WelcomTable">
        

        <table id="WelComInfoTab1" class="vs5000WelcomPageTable">

			<tr>
				<td class="vs5000_td" colspan="2"><b>Information About This Instrument:</b></td>
            </tr>
            <tr>
                <td width="40%">Instrument Model:</td>
                <td  ></td>
            </tr>
            <tr>
                <td>Manufacturer:</td>
                <td></td>
            </tr>
            <tr>
                <td>Serial Number:</td>
                <td></td>
            </tr>
            <tr>
                <td>Description: </td>
                <td>RIGOL Digital Oscilloscope</td>
            </tr>
            <tr>
                <td>LXI Class:</td>
                <td>LXI Core 2014   </td>
            </tr>
            <tr>
                <td>LXI Version:</td>
                <td>1.4      </td>
            </tr>
            <tr>
                <td>Host Name:</td>
                <td></td>
            </tr>
            <tr>
                <td>MAC Address:</td>
                <td></td>
            </tr>
            <tr>
                <td>IP Address:</td>
                <td></td>
            </tr>
            <tr>
                <td>Firmware Revision:</td>
                <td></td>
            </tr>
            <tr>
                <td>VISA TCP/IP String:</td>
                <td></td>
            </tr>
            <tr>
                <td>Auto-MDIX Capable:</td>
                <td>NO  </td>
            </tr>

            <tr>
                <td>VISA USB Connect String:</td>
                <td></td>
            </tr>
            <tr>
              <td>SCPI  Socket Port</td>
              <td>5555</td>
            </tr>
        </table>
		<br>
      <div align="center">
        <input name="Identification" value="Web Identification Indicator"   type="button" onclick="Identification()">
      </div>


    </div>

</div>


</body>


</html>
